Index: trunk/MagicSoft/Mars/manalysis/MEventRate.cc
===================================================================
--- trunk/MagicSoft/Mars/manalysis/MEventRate.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/manalysis/MEventRate.cc	(revision 8907)
@@ -46,4 +46,6 @@
 #include "MEventRate.h"
 
+#include <TMath.h>
+
 #include "MLog.h"
 #include "MLogManip.h"
@@ -62,2 +64,7 @@
     fTitle = title ? title : "Storage container for the event rate [Hz]";
 }
+
+Double_t MEventRate::GetError() const
+{
+    return TMath::Sqrt(1./fNumEvents);
+}
Index: trunk/MagicSoft/Mars/manalysis/MEventRate.h
===================================================================
--- trunk/MagicSoft/Mars/manalysis/MEventRate.h	(revision 8906)
+++ trunk/MagicSoft/Mars/manalysis/MEventRate.h	(revision 8907)
@@ -17,5 +17,5 @@
     void SetRate(Double_t r, UInt_t n) { fRate = r; fNumEvents = n; }
     Double_t GetRate() const { return fRate; }
-    Double_t GetError() const { return TMath::Sqrt(1./fNumEvents); }
+    Double_t GetError() const;// { return TMath::Sqrt(1./fNumEvents); }
     UInt_t GetNumEvents() const { return fNumEvents; }
 
Index: trunk/MagicSoft/Mars/manalysis/MMultiDimDistCalc.cc
===================================================================
--- trunk/MagicSoft/Mars/manalysis/MMultiDimDistCalc.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/manalysis/MMultiDimDistCalc.cc	(revision 8907)
@@ -47,4 +47,6 @@
 #include <fstream>
 
+#include <math.h>
+
 #include <TVector.h>
 
Index: trunk/MagicSoft/Mars/mars.cc
===================================================================
--- trunk/MagicSoft/Mars/mars.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mars.cc	(revision 8907)
@@ -1,2 +1,3 @@
+#include <TClass.h>
 #include <TApplication.h>
 
Index: trunk/MagicSoft/Mars/mastro/MAstro.cc
===================================================================
--- trunk/MagicSoft/Mars/mastro/MAstro.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mastro/MAstro.cc	(revision 8907)
@@ -44,4 +44,14 @@
 
 ClassImp(MAstro);
+
+Double_t MAstro::RadToHor()
+{
+    return 24/TMath::TwoPi();
+}
+
+Double_t MAstro::HorToRad()
+{
+    return TMath::TwoPi()/24;
+}
 
 Double_t MAstro::Trunc(Double_t val)
Index: trunk/MagicSoft/Mars/mastro/MAstro.h
===================================================================
--- trunk/MagicSoft/Mars/mastro/MAstro.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mastro/MAstro.h	(revision 8907)
@@ -31,6 +31,6 @@
     static Double_t HorToDeg()        { return 1./15; }
 
-    static Double_t RadToHor()        { return 24/TMath::TwoPi(); }
-    static Double_t HorToRad()        { return TMath::TwoPi()/24; }
+    static Double_t RadToHor(); // { return 24/TMath::TwoPi(); }
+    static Double_t HorToRad(); // { return TMath::TwoPi()/24; }
 
     // Angle/Time conversion functions
Index: trunk/MagicSoft/Mars/mastro/MAstroCatalog.cc
===================================================================
--- trunk/MagicSoft/Mars/mastro/MAstroCatalog.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mastro/MAstroCatalog.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MAstroCatalog.cc,v 1.29 2007-09-02 13:53:55 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MAstroCatalog.cc,v 1.30 2008-06-02 08:46:39 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -20,5 +20,5 @@
 !   Author(s): Thomas Bretz, 03/2004 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2002-2005
+!   Copyright: MAGIC Software Development, 2002-2008
 !
 !
@@ -143,5 +143,6 @@
 #include <TPaveText.h>  // TPaveText
 
-#include <TGraph.h>
+#include <TH1.h>        // TH1F
+#include <TGraph.h>     // TGraph
 
 #include "MLog.h"
@@ -218,4 +219,18 @@
     }
 }
+
+// --------------------------------------------------------------------------
+//
+// Set Radius of FOV using the pixsize [arcsec/pix], width
+// and height [pixel] of image
+//
+void MAstroCatalog::SetRadiusFOV(Double_t pixsize, Double_t w, Double_t h)
+{
+    // pixsize [arcsec/pixel]
+    // w       [pixel]
+    // h       [pixel]
+    const Double_t scale = TMath::Hypot(w, h)/2;
+    SetRadiusFOV(scale*pixsize/3600);
+} 
 
 // --------------------------------------------------------------------------
Index: trunk/MagicSoft/Mars/mastro/MAstroCatalog.h
===================================================================
--- trunk/MagicSoft/Mars/mastro/MAstroCatalog.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mastro/MAstroCatalog.h	(revision 8907)
@@ -108,4 +108,6 @@
     void SetObservatory(const MObservatory &obs);
     void SetLimMag(Double_t mag) { fLimMag=mag; Update(); } // *MENU* *ARGS={mag=>fLimMag}
+
+    void SetRadiusFOV(Double_t pixsize, Double_t w, Double_t h);
     void SetRadiusFOV(Double_t deg)
     {
@@ -121,12 +123,4 @@
         Update();
     } // *MENU* *ARGS={deg=>fRadiusFOV}
-    void SetRadiusFOV(Double_t pixsize, Double_t w, Double_t h)
-    {
-        // pixsize [arcsec/pixel]
-        // w       [pixel]
-        // h       [pixel]
-        const Double_t scale = TMath::Hypot(w, h)/2;
-        SetRadiusFOV(scale*pixsize/3600);
-    } // Set Radius of FOV using the pixsize [arcsec/pix], width and height [pixel] of image
 
     void     SetRaDec(Double_t ra, Double_t dec) { fRaDec.SetRaDec(ra, dec, 1); Update(); }
Index: trunk/MagicSoft/Mars/mastro/MVector3.cc
===================================================================
--- trunk/MagicSoft/Mars/mastro/MVector3.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mastro/MVector3.cc	(revision 8907)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz, 03/2004 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2002-2004
+!   Copyright: MAGIC Software Development, 2002-2008
 !
 !
@@ -33,4 +33,6 @@
 #include <iostream>
 
+#include <TMath.h>
+
 #include "MLog.h"
 #include "MLogManip.h"
@@ -39,4 +41,26 @@
 
 using namespace std;
+
+void MVector3::SetThetaPhiMag(Double_t theta, Double_t phi, Double_t mag)
+{
+    SetMagThetaPhi(TMath::Power(10, -mag/2.5), theta, phi);
+}
+
+Double_t MVector3::Magnitude() const
+{
+    return -2.5*TMath::Log10(Mag());
+}
+
+void MVector3::SetRaDec(Double_t ra, Double_t dec, Double_t mag)
+{
+    fType = kIsRaDec;
+    SetThetaPhiMag(TMath::Pi()/2-dec, ra, mag);
+}
+
+void MVector3::SetAltAz(Double_t alt, Double_t az, Double_t mag)
+{
+    fType = kIsAltAz;
+    SetThetaPhiMag(TMath::Pi()/2-alt, az, mag);
+}
 
 void MVector3::WriteBinary(ostream &out) const
Index: trunk/MagicSoft/Mars/mastro/MVector3.h
===================================================================
--- trunk/MagicSoft/Mars/mastro/MVector3.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mastro/MVector3.h	(revision 8907)
@@ -22,8 +22,5 @@
     TString fName;
 
-    void SetThetaPhiMag(Double_t theta, Double_t phi, Double_t mag)
-    {
-        SetMagThetaPhi(TMath::Power(10, -mag/2.5), theta, phi);
-    }
+    void SetThetaPhiMag(Double_t theta, Double_t phi, Double_t mag); // SetMagThetaPhi(TMath::Power(10, -mag/2.5), theta, phi);
 
 public:
@@ -35,14 +32,10 @@
     }
     MVector3(const TVector3 &v3) : TVector3(v3) { fType=kIsArbitrary; }
-    Double_t Magnitude() const { return -2.5*TMath::Log10(Mag()); }
+    Double_t Magnitude() const;// { return -2.5*TMath::Log10(Mag()); }
 
     Bool_t IsValid() const { return fType!=kIsInvalid; }
 
-    void SetRaDec(Double_t ra, Double_t dec, Double_t mag=0)
-    {
-        fType = kIsRaDec;
-        SetThetaPhiMag(TMath::Pi()/2-dec, ra, mag);
-    }
-    void SetName(const TString &str) { fName = str.Strip(TString::kBoth); }
+    void SetRaDec(Double_t ra, Double_t dec, Double_t mag=0); // SetThetaPhiMag(TMath::Pi()/2-dec, ra, mag);
+    void SetAltAz(Double_t alt, Double_t az, Double_t mag=0); // SetThetaPhiMag(TMath::Pi()/2-alt, az, mag);
     void SetZdAz(Double_t zd, Double_t az, Double_t mag=0)
     {
@@ -50,10 +43,6 @@
         SetThetaPhiMag(zd, az, mag);
     }
-    void SetAltAz(Double_t alt, Double_t az, Double_t mag=0)
-    {
-        fType = kIsAltAz;
-        SetThetaPhiMag(TMath::Pi()/2-alt, az, mag);
-    }
 
+    void SetName(const TString &str) { fName = str.Strip(TString::kBoth); }
     const char *GetName() const { return fName; }
 
Index: trunk/MagicSoft/Mars/mbase/MDirIter.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MDirIter.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MDirIter.cc	(revision 8907)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz, 6/2003 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2000-2003
+!   Copyright: MAGIC Software Development, 2000-2008
 !
 !
@@ -65,4 +65,5 @@
 #include <iostream>
 
+#include <TList.h>
 #include <TNamed.h>
 #include <TRegexp.h>
Index: trunk/MagicSoft/Mars/mbase/MEnv.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MEnv.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MEnv.cc	(revision 8907)
@@ -49,4 +49,5 @@
 #include <Gtypes.h>
 #include <TObjString.h>
+#include <TObjArray.h>
 
 #include <TPave.h>
@@ -594,6 +595,6 @@
     case kFullDotMedium:    val = "fulldotmedium";
     case kFullDotLarge:     val = "fulldotlarge";
-    case kOpenTriangleDown: val = "opentriangledown";
-    case kFullCross:        val = "fullcross";
+//    case kOpenTriangleDown: val = "opentriangledown";
+//    case kFullCross:        val = "fullcross";
     case kFullCircle:       val = "fullcircle";
     case kFullSquare:       val = "fullsquare";
Index: trunk/MagicSoft/Mars/mbase/MFilter.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MFilter.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MFilter.cc	(revision 8907)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz, 07/2001 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2000-2004
+!   Copyright: MAGIC Software Development, 2000-2008
 !
 !
@@ -71,4 +71,6 @@
 /////////////////////////////////////////////////////////////////////////////
 #include "MFilter.h"
+
+#include <TMath.h>
 
 #include "MLog.h"
Index: trunk/MagicSoft/Mars/mbase/MGMap.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MGMap.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MGMap.cc	(revision 8907)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz, 05/2004 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2002-2004
+!   Copyright: MAGIC Software Development, 2002-2008
 !
 !
@@ -39,5 +39,7 @@
 #include "MGMap.h"
 
-#include <limits.h>  // INT_MAX
+//#include <limits.h>  // INT_MAX
+
+#include <TMath.h>
 
 #include <TPad.h>    // gPad, TPad::GetMaxDistance()
Index: trunk/MagicSoft/Mars/mbase/MGTask.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MGTask.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MGTask.cc	(revision 8907)
@@ -16,7 +16,7 @@
 !
 !
-!   Author(s): Thomas Bretz  11/2001 <mailto:tbretz@uni-sw.gwdg.de>
+!   Author(s): Thomas Bretz  11/2001 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2000-2001
+!   Copyright: MAGIC Software Development, 2000-2008
 !
 !
@@ -33,4 +33,5 @@
 #include "MGTask.h"
 
+#include <TClass.h>
 #include <TMethod.h>
 
Index: trunk/MagicSoft/Mars/mbase/MRunIter.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MRunIter.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MRunIter.cc	(revision 8907)
@@ -19,5 +19,5 @@
 !   Author(s): Javier Rico,  4/2004 <mailto:jrico@ifae.es>
 !
-!   Copyright: MAGIC Software Development, 2000-2004
+!   Copyright: MAGIC Software Development, 2000-2008
 !
 !
@@ -35,10 +35,25 @@
 #include "MRunIter.h"
 
+#include <iostream>
+
+#include <TMath.h>
 #include <TSystem.h>
-#include <iostream>
 
 ClassImp(MRunIter);
 
 using namespace std;
+
+void MRunIter::SortRuns()
+{
+    const int n = GetNumRuns();
+
+    TArrayI idx(n);
+    TMath::Sort(n, fRuns.GetArray(), idx.GetArray(), kFALSE);
+
+    for (int i=0; i<n; i++)
+        idx[i] = fRuns[idx[i]];
+
+    fRuns = idx;
+}
 
 Int_t MRunIter::AddRun(UInt_t run, const char *path)
Index: trunk/MagicSoft/Mars/mbase/MRunIter.h
===================================================================
--- trunk/MagicSoft/Mars/mbase/MRunIter.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MRunIter.h	(revision 8907)
@@ -28,16 +28,5 @@
     }
 
-    void SortRuns()
-    {
-        const int n = GetNumRuns();
-
-        TArrayI idx(n);
-        TMath::Sort(n, fRuns.GetArray(), idx.GetArray(), kFALSE);
-
-        for (int i=0; i<n; i++)
-            idx[i] = fRuns[idx[i]];
-
-        fRuns = idx;
-    }
+    void SortRuns();
 
 public:
Index: trunk/MagicSoft/Mars/mbase/MTask.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MTask.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MTask.cc	(revision 8907)
@@ -98,4 +98,5 @@
 #include <fstream>
 
+#include <TClass.h>
 #include <TBaseClass.h> // OverwritesProcess
 #include <TStopwatch.h> // TStopwatch
Index: trunk/MagicSoft/Mars/mbase/MTime.cc
===================================================================
--- trunk/MagicSoft/Mars/mbase/MTime.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MTime.cc	(revision 8907)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz  12/2000 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2000-2003
+!   Copyright: MAGIC Software Development, 2000-2008
 !
 !
@@ -510,4 +510,13 @@
     return fmod(sum, 1)*TMath::TwoPi();//+TMath::TwoPi();
 }
+
+// --------------------------------------------------------------------------
+//
+// Return Day of the week: Sun=0, Mon=1, ..., Sat=6
+//
+Byte_t MTime::WeekDay() const
+{
+    return TMath::FloorNint(GetMjd()+3)%7;
+} 
 
 // --------------------------------------------------------------------------
Index: trunk/MagicSoft/Mars/mbase/MTime.h
===================================================================
--- trunk/MagicSoft/Mars/mbase/MTime.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mbase/MTime.h	(revision 8907)
@@ -21,4 +21,6 @@
 #include <TTime.h>
 #endif
+
+#include <TMath.h>
 
 struct timeval;
@@ -131,5 +133,5 @@
     UInt_t Month() const    { UShort_t y; Byte_t m, d; GetDate(y,m,d); return m; }
     UInt_t Day() const      { UShort_t y; Byte_t m, d; GetDate(y,m,d); return d; }
-    Byte_t WeekDay() const  { return TMath::Nint(TMath::Floor(GetMjd()+3))%7; } // Return Day of the week: Sun=0, Mon=1, ..., Sat=6
+    Byte_t WeekDay() const; // { return TMath::FloorNint(GetMjd()+3)%7; } // Return Day of the week: Sun=0, Mon=1, ..., Sat=6
     UInt_t Hour() const     { Byte_t h, m, s; GetTime(h,m,s); return h; }
     UInt_t Min() const      { Byte_t h, m, s; GetTime(h,m,s); return m; }
Index: trunk/MagicSoft/Mars/mcalib/MCalibrationBlindPix.cc
===================================================================
--- trunk/MagicSoft/Mars/mcalib/MCalibrationBlindPix.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mcalib/MCalibrationBlindPix.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MCalibrationBlindPix.cc,v 1.15 2006-10-17 17:15:59 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MCalibrationBlindPix.cc,v 1.16 2008-06-02 08:46:44 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -56,4 +56,5 @@
 #include "MCalibrationBlindPix.h"
 
+#include <TMath.h>
 #include <TH1.h>
 
Index: trunk/MagicSoft/Mars/mcalib/MCalibrationChargeCalc.cc
===================================================================
--- trunk/MagicSoft/Mars/mcalib/MCalibrationChargeCalc.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mcalib/MCalibrationChargeCalc.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MCalibrationChargeCalc.cc,v 1.183 2007-07-24 13:36:35 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MCalibrationChargeCalc.cc,v 1.184 2008-06-02 08:46:44 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -261,5 +261,6 @@
 const Float_t MCalibrationChargeCalc::fgUnsuitablesLimit       = 0.1;
 const Float_t MCalibrationChargeCalc::fgUnreliablesLimit       = 0.3;
-const TString MCalibrationChargeCalc::fgNamePedestalCam = "MPedestalCam";
+
+const char *MCalibrationChargeCalc::fgNamePedestalCam = "MPedestalCam";
 
 
Index: trunk/MagicSoft/Mars/mcalib/MCalibrationChargeCalc.h
===================================================================
--- trunk/MagicSoft/Mars/mcalib/MCalibrationChargeCalc.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mcalib/MCalibrationChargeCalc.h	(revision 8907)
@@ -49,5 +49,5 @@
   static const Float_t fgUnreliablesLimit;     //! Default for fUnreliableLimit    (now set to: 0.3)
  
-  static const TString fgNamePedestalCam;      //! "MPedestalCam"
+  static const char *fgNamePedestalCam;      //! "MPedestalCam"
   
   // Variables
@@ -213,5 +213,5 @@
   void SetExternalNumPhes      ( const Float_t f=0.                       ) { fExternalNumPhes       = f; }
   void SetExternalNumPhesRelVar( const Float_t f=0.                       ) { fExternalNumPhesRelVar = f; }  
-  void SetNamePedestalCam      ( const char *name=fgNamePedestalCam.Data()) { fNamePedestalCam    = name; }
+  void SetNamePedestalCam      ( const char *name=fgNamePedestalCam       ) { fNamePedestalCam    = name; }
   void SetPheErrLowerLimit     ( const Float_t f=fgPheErrLowerLimit       ) { fPheErrLowerLimit  = f;    }
   void SetPheErrUpperLimit     ( const Float_t f=fgPheErrUpperLimit       ) { fPheErrUpperLimit  = f;    }    
Index: trunk/MagicSoft/Mars/mcalib/MCalibrationPix.cc
===================================================================
--- trunk/MagicSoft/Mars/mcalib/MCalibrationPix.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mcalib/MCalibrationPix.cc	(revision 8907)
@@ -43,4 +43,6 @@
 #include "MCalibrationPix.h"
 
+#include <TMath.h>
+
 ClassImp(MCalibrationPix);
 
Index: trunk/MagicSoft/Mars/mcalib/MCalibrationQEPix.cc
===================================================================
--- trunk/MagicSoft/Mars/mcalib/MCalibrationQEPix.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mcalib/MCalibrationQEPix.cc	(revision 8907)
@@ -183,4 +183,6 @@
 #include "MCalibrationQEPix.h"
 
+#include <TMath.h>
+
 #include "MLog.h"
 #include "MLogManip.h"
Index: trunk/MagicSoft/Mars/mdata/MDataChain.cc
===================================================================
--- trunk/MagicSoft/Mars/mdata/MDataChain.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mdata/MDataChain.cc	(revision 8907)
@@ -168,4 +168,6 @@
 #include <stdlib.h>       // strtod, ...
 
+#include <TMath.h>
+#include <TClass.h>
 #include <TRegexp.h>
 #include <TRandom.h>
Index: trunk/MagicSoft/Mars/mdata/MDataList.cc
===================================================================
--- trunk/MagicSoft/Mars/mdata/MDataList.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mdata/MDataList.cc	(revision 8907)
@@ -31,4 +31,6 @@
 #include "MDataList.h"
 
+#include <math.h>
+
 #include "MLog.h"
 #include "MLogManip.h"
Index: trunk/MagicSoft/Mars/mdata/MDataPhrase.cc
===================================================================
--- trunk/MagicSoft/Mars/mdata/MDataPhrase.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mdata/MDataPhrase.cc	(revision 8907)
@@ -18,5 +18,5 @@
 !   Author(s): Thomas Bretz, 04/2004 <mailto:tbretz@astro.uni-wuerzburg.de>
 !
-!   Copyright: MAGIC Software Development, 2000-2006
+!   Copyright: MAGIC Software Development, 2000-2008
 !
 !
@@ -111,4 +111,5 @@
 #include "MDataPhrase.h"
 
+#include <TMath.h>
 #include <TArrayI.h>
 #include <TPRegexp.h>
@@ -677,4 +678,13 @@
 }
 
+// --------------------------------------------------------------------------
+//
+// Return the value converted to a Bool_t
+//
+Bool_t MDataPhrase::GetBool() const
+{
+    return TMath::Nint(GetValue())!=0;
+}
+
 /*
 // --------------------------------------------------------------------------
Index: trunk/MagicSoft/Mars/mdata/MDataPhrase.h
===================================================================
--- trunk/MagicSoft/Mars/mdata/MDataPhrase.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mdata/MDataPhrase.h	(revision 8907)
@@ -16,5 +16,4 @@
 class TFormula;
 class MParList;
-
 
 class MDataPhrase : public MData
@@ -60,5 +59,5 @@
 
     // MDataPhrase
-    Bool_t   GetBool() const { return TMath::Nint(GetValue())!=0; }
+    Bool_t   GetBool() const;
     Bool_t   SetRule(const TString &phrase);
 
Index: trunk/MagicSoft/Mars/mfilter/MFEnergySlope.cc
===================================================================
--- trunk/MagicSoft/Mars/mfilter/MFEnergySlope.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mfilter/MFEnergySlope.cc	(revision 8907)
@@ -49,4 +49,6 @@
 
 #include <fstream>
+
+#include <TMath.h>
 #include <TRandom.h>
 
Index: trunk/MagicSoft/Mars/mgeom/MGeomMirror.cc
===================================================================
--- trunk/MagicSoft/Mars/mgeom/MGeomMirror.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mgeom/MGeomMirror.cc	(revision 8907)
@@ -32,4 +32,5 @@
 #include "MGeomMirror.h"
 
+#include <TMath.h>
 #include <TRotation.h>
 
Index: trunk/MagicSoft/Mars/mgui/MCamEvent.cc
===================================================================
--- trunk/MagicSoft/Mars/mgui/MCamEvent.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mgui/MCamEvent.cc	(revision 8907)
@@ -39,4 +39,6 @@
 //////////////////////////////////////////////////////////////////////////////
 #include "MCamEvent.h"
+
+#include <TMath.h>
 
 #include "MGeomCam.h"
Index: trunk/MagicSoft/Mars/mhbase/MBinning.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MBinning.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhbase/MBinning.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MBinning.cc,v 1.18 2007-08-19 21:35:00 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MBinning.cc,v 1.19 2008-06-02 08:46:47 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -46,4 +46,5 @@
 
 #include <TH1.h>        // InheritsFrom
+#include <TMath.h>
 
 #include "MLog.h"
Index: trunk/MagicSoft/Mars/mhbase/MH3.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MH3.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhbase/MH3.cc	(revision 8907)
@@ -150,4 +150,5 @@
 
 #include <TObjString.h>
+#include <THashList.h>
 
 //#include <TPad.h>
Index: trunk/MagicSoft/Mars/mhbase/MHArray.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHArray.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhbase/MHArray.cc	(revision 8907)
@@ -64,4 +64,5 @@
 #include <TH2.h>
 #include <TH3.h>
+#include <TClass.h>
 #include <TStyle.h>
 #include <TGaxis.h>
Index: trunk/MagicSoft/Mars/mhbase/MHMatrix.cc
===================================================================
--- trunk/MagicSoft/Mars/mhbase/MHMatrix.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhbase/MHMatrix.cc	(revision 8907)
@@ -49,4 +49,6 @@
 #include <fstream>
 
+#include <TMath.h>
+
 #include <TList.h>
 #include <TArrayF.h>
Index: trunk/MagicSoft/Mars/mhcalib/MHCalibrationPix.cc
===================================================================
--- trunk/MagicSoft/Mars/mhcalib/MHCalibrationPix.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhcalib/MHCalibrationPix.cc	(revision 8907)
@@ -44,4 +44,5 @@
 #include <TH1.h>
 #include <TF1.h>
+#include <TMath.h>
 #include <TGraph.h>
 
Index: trunk/MagicSoft/Mars/mhcalib/MHGausEvents.cc
===================================================================
--- trunk/MagicSoft/Mars/mhcalib/MHGausEvents.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhcalib/MHGausEvents.cc	(revision 8907)
@@ -79,4 +79,5 @@
 #include "MHGausEvents.h"
 
+#include <TMath.h>
 #include <TH1.h>
 #include <TF1.h>
Index: trunk/MagicSoft/Mars/mhflux/MHEnergyEst.cc
===================================================================
--- trunk/MagicSoft/Mars/mhflux/MHEnergyEst.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhflux/MHEnergyEst.cc	(revision 8907)
@@ -37,4 +37,5 @@
 #include <TF1.h>
 #include <TLine.h>
+#include <TMath.h>
 #include <TCanvas.h>
 #include <TStyle.h>
Index: trunk/MagicSoft/Mars/mhflux/MMcSpectrumWeight.cc
===================================================================
--- trunk/MagicSoft/Mars/mhflux/MMcSpectrumWeight.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhflux/MMcSpectrumWeight.cc	(revision 8907)
@@ -282,5 +282,5 @@
 Double_t MMcSpectrumWeight::GetSpecNewIntegral(Double_t emin, Double_t emax) const
 {
-    TF1 funcnew("Dummy", GetFormulaSpecNewX());
+    TF1 funcnew("Dummy", GetFormulaSpecNewX().Data());
     return funcnew.Integral(emin, emax);
 }
@@ -293,5 +293,5 @@
 Double_t MMcSpectrumWeight::GetSpecOldIntegral(Double_t emin, Double_t emax) const
 {
-    TF1 funcold("Dummy", GetFormulaSpecOldX());
+    TF1 funcold("Dummy", GetFormulaSpecOldX().Data());
     return funcold.Integral(emin, emax);
 }
@@ -304,5 +304,5 @@
 Double_t MMcSpectrumWeight::CalcSpecNew(Double_t e) const
 {
-    TF1 funcnew("Dummy", GetFormulaSpecNewX());
+    TF1 funcnew("Dummy", GetFormulaSpecNewX().Data());
     return funcnew.Eval(e);
 }
@@ -315,5 +315,5 @@
 Double_t MMcSpectrumWeight::CalcSpecOld(Double_t e) const
 {
-    TF1 funcnew("Dummy", GetFormulaSpecOldX());
+    TF1 funcnew("Dummy", GetFormulaSpecOldX().Data());
     return funcnew.Eval(e);
 }
@@ -412,5 +412,5 @@
     }
 
-    fFunc = new TF1("", GetFormulaWeightsX());
+    fFunc = new TF1("", GetFormulaWeightsX().Data());
     gROOT->GetListOfFunctions()->Remove(fFunc);
     fFunc->SetName("SpectralWeighs");
Index: trunk/MagicSoft/Mars/mhist/MHCamEventRot.cc
===================================================================
--- trunk/MagicSoft/Mars/mhist/MHCamEventRot.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhist/MHCamEventRot.cc	(revision 8907)
@@ -55,4 +55,5 @@
 #include <TF1.h>
 #include <TH2.h>
+#include <TMath.h>
 #include <TGraph.h>
 #include <TStyle.h>
Index: trunk/MagicSoft/Mars/mhist/MHHadronness.cc
===================================================================
--- trunk/MagicSoft/Mars/mhist/MHHadronness.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhist/MHHadronness.cc	(revision 8907)
@@ -64,5 +64,7 @@
 #include "MHHadronness.h"
 
+#include <TH1.h>
 #include <TPad.h>
+#include <TMath.h>
 #include <TGraph.h>
 #include <TStyle.h>
Index: trunk/MagicSoft/Mars/mhist/MHWeather.cc
===================================================================
--- trunk/MagicSoft/Mars/mhist/MHWeather.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhist/MHWeather.cc	(revision 8907)
@@ -32,4 +32,5 @@
 #include "MHWeather.h"
 
+#include <TH1.h>
 #include <TPad.h>
 #include <TCanvas.h>
Index: trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.cc
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhvstime/MHPixVsTime.cc	(revision 8907)
@@ -43,4 +43,5 @@
 #include "MHPixVsTime.h"
 
+#include <TH1.h>
 #include <TCanvas.h>
 
Index: trunk/MagicSoft/Mars/mhvstime/MHVsTime.cc
===================================================================
--- trunk/MagicSoft/Mars/mhvstime/MHVsTime.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mhvstime/MHVsTime.cc	(revision 8907)
@@ -73,4 +73,5 @@
 #include <TCanvas.h>
 
+#include <TH1.h>
 #include <TGraphErrors.h>
 
Index: trunk/MagicSoft/Mars/mjobs/MJCut.cc
===================================================================
--- trunk/MagicSoft/Mars/mjobs/MJCut.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mjobs/MJCut.cc	(revision 8907)
@@ -33,4 +33,5 @@
 #include <TEnv.h>
 #include <TFile.h>
+#include <TClass.h>
 
 // Environment
Index: trunk/MagicSoft/Mars/mjoptim/MJOptimizeCuts.cc
===================================================================
--- trunk/MagicSoft/Mars/mjoptim/MJOptimizeCuts.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mjoptim/MJOptimizeCuts.cc	(revision 8907)
@@ -80,4 +80,6 @@
 #include "MJOptimizeCuts.h"
 
+#include <TClass.h>
+
 #include "MHMatrix.h"
 
Index: trunk/MagicSoft/Mars/mpedestal/MPedestalSubtract.cc
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MPedestalSubtract.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mpedestal/MPedestalSubtract.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MPedestalSubtract.cc,v 1.11 2008-05-15 18:37:26 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MPedestalSubtract.cc,v 1.12 2008-06-02 08:46:54 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -67,6 +67,6 @@
 using namespace std;
 
-const TString MPedestalSubtract::fgNamePedestalCam           = "MPedestalCam";
-const TString MPedestalSubtract::fgNamePedestalSubtractedEvt = "MPedestalSubtractedEvt";
+const char *MPedestalSubtract::fgNamePedestalCam           = "MPedestalCam";
+const char *MPedestalSubtract::fgNamePedestalSubtractedEvt = "MPedestalSubtractedEvt";
 
 // --------------------------------------------------------------------------
Index: trunk/MagicSoft/Mars/mpedestal/MPedestalSubtract.h
===================================================================
--- trunk/MagicSoft/Mars/mpedestal/MPedestalSubtract.h	(revision 8906)
+++ trunk/MagicSoft/Mars/mpedestal/MPedestalSubtract.h	(revision 8907)
@@ -14,6 +14,6 @@
 {
 private:
-    static const TString fgNamePedestalCam;            //! "MPedestalCam"
-    static const TString fgNamePedestalSubtractedEvt;  //! "MPedestalSubtractedEvt"
+    static const char *fgNamePedestalCam;            //! "MPedestalCam"
+    static const char *fgNamePedestalSubtractedEvt;  //! "MPedestalSubtractedEvt"
 
     MRawRunHeader          *fRunHeader;      //! Run Header
@@ -35,7 +35,7 @@
 
     void SetPedestalCam(MPedestalCam *pedcam) { fPedestals = pedcam; }
-    void SetNamePedestalCam(const char *name=fgNamePedestalCam.Data()) { fNamePedestalCam  = name; }
+    void SetNamePedestalCam(const char *name=fgNamePedestalCam) { fNamePedestalCam  = name; }
 
-    void SetNamePedestalSubtractedEvt(const char *name=fgNamePedestalSubtractedEvt.Data()) { fNamePedestalSubtractedEvt = name; }
+    void SetNamePedestalSubtractedEvt(const char *name=fgNamePedestalSubtractedEvt) { fNamePedestalSubtractedEvt = name; }
 
     ClassDef(MPedestalSubtract, 0)   // Class to subtract pedestal including AB-noise
Index: trunk/MagicSoft/Mars/mpointing/MHPointing.cc
===================================================================
--- trunk/MagicSoft/Mars/mpointing/MHPointing.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mpointing/MHPointing.cc	(revision 8907)
@@ -37,4 +37,5 @@
 #include "MHPointing.h"
 
+#include <TH1.h>
 #include <TPad.h>
 #include <TCanvas.h>
Index: trunk/MagicSoft/Mars/mranforest/MHRanForest.cc
===================================================================
--- trunk/MagicSoft/Mars/mranforest/MHRanForest.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mranforest/MHRanForest.cc	(revision 8907)
@@ -34,5 +34,7 @@
 #include "MHRanForest.h"
 
+#include <TH1.h>
 #include <TPad.h>
+#include <TMath.h>
 #include <TGraph.h>
 #include <TStyle.h>
Index: trunk/MagicSoft/Mars/mranforest/MHRanForestGini.cc
===================================================================
--- trunk/MagicSoft/Mars/mranforest/MHRanForestGini.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mranforest/MHRanForestGini.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MHRanForestGini.cc,v 1.7 2006-11-02 08:57:00 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MHRanForestGini.cc,v 1.8 2008-06-02 08:46:43 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -36,4 +36,5 @@
 #include "MHRanForestGini.h"
 
+#include <TH1.h>
 #include <TPad.h>
 #include <TGraph.h>
Index: trunk/MagicSoft/Mars/mranforest/MRanForest.cc
===================================================================
--- trunk/MagicSoft/Mars/mranforest/MRanForest.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mranforest/MRanForest.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MRanForest.cc,v 1.27 2007-07-24 13:35:39 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MRanForest.cc,v 1.28 2008-06-02 08:46:43 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -45,4 +45,5 @@
 #include "MRanForest.h"
 
+#include <TMath.h>
 #include <TRandom.h>
 
Index: trunk/MagicSoft/Mars/mreflector/MHReflector.cc
===================================================================
--- trunk/MagicSoft/Mars/mreflector/MHReflector.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mreflector/MHReflector.cc	(revision 8907)
@@ -30,4 +30,5 @@
 #include "MHReflector.h"
 
+#include <TMath.h>
 #include <TLegend.h>
 #include <TCanvas.h>
Index: trunk/MagicSoft/Mars/mreflector/MRflEvtHeader.cc
===================================================================
--- trunk/MagicSoft/Mars/mreflector/MRflEvtHeader.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mreflector/MRflEvtHeader.cc	(revision 8907)
@@ -30,4 +30,6 @@
 #include "MRflEvtHeader.h"
 
+#include <TMath.h>
+
 #include "MLog.h"
 #include "MLogManip.h"
Index: trunk/MagicSoft/Mars/mreflector/MRflSinglePhoton.cc
===================================================================
--- trunk/MagicSoft/Mars/mreflector/MRflSinglePhoton.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mreflector/MRflSinglePhoton.cc	(revision 8907)
@@ -31,4 +31,6 @@
 /////////////////////////////////////////////////////////////////////////////
 #include "MRflSinglePhoton.h"
+
+#include <TMath.h>
 
 #include <TH2.h>
Index: trunk/MagicSoft/Mars/msignal/MExtractTime.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractTime.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/msignal/MExtractTime.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MExtractTime.cc,v 1.24 2007-03-03 22:48:30 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MExtractTime.cc,v 1.25 2008-06-02 08:46:53 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -85,5 +85,5 @@
 using namespace std;
 
-const TString MExtractTime::fgNameTimeCam   = "MArrivalTimeCam";
+const char *MExtractTime::fgNameTimeCam = "MArrivalTimeCam";
 
 // --------------------------------------------------------------------------
Index: trunk/MagicSoft/Mars/msignal/MExtractTime.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractTime.h	(revision 8906)
+++ trunk/MagicSoft/Mars/msignal/MExtractTime.h	(revision 8907)
@@ -13,5 +13,5 @@
 protected:
   
-  static const TString fgNameTimeCam; //! "MArrivalTimeCam"
+  static const char *fgNameTimeCam;   //! "MArrivalTimeCam"
   TString  fNameTimeCam;              // Name of the 'MArrivalTimeCam' container
   
@@ -33,5 +33,5 @@
   void Print(Option_t *o) const; //*MENU*
 
-  void SetNameTimeCam   ( const char *name=fgNameTimeCam.Data()) { fNameTimeCam = name; }
+  void SetNameTimeCam(const char *name=fgNameTimeCam) { fNameTimeCam = name; }
   
   ClassDef(MExtractTime, 3)   // Arrival Time Extractor Base Class
Index: trunk/MagicSoft/Mars/msignal/MExtractor.cc
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractor.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/msignal/MExtractor.cc	(revision 8907)
@@ -119,5 +119,5 @@
 
 const UInt_t  MExtractor::fgSaturationLimit = 245;
-const TString MExtractor::fgNameSignalCam   = "MExtractedSignalCam";
+const char   *MExtractor::fgNameSignalCam   = "MExtractedSignalCam";
 const Float_t MExtractor::fgOffsetLoGain    = 1.51;   // 5 ns
 
Index: trunk/MagicSoft/Mars/msignal/MExtractor.h
===================================================================
--- trunk/MagicSoft/Mars/msignal/MExtractor.h	(revision 8906)
+++ trunk/MagicSoft/Mars/msignal/MExtractor.h	(revision 8907)
@@ -32,5 +32,5 @@
 protected:
   static const UInt_t  fgSaturationLimit;  //! Default for fSaturationLimit (now set to: 254)
-  static const TString fgNameSignalCam;    //! "MExtractedSignalCam"
+  static const char   *fgNameSignalCam;    //! "MExtractedSignalCam"
   
   Float_t fOffsetLoGain;                   // Offset of the low-gain signal w.r.t. the High-Gain slices
@@ -103,5 +103,5 @@
   void SetOffsetLoGain    ( const Float_t  f=fgOffsetLoGain          ) { fOffsetLoGain     = f;    }
   void SetSaturationLimit ( const UInt_t lim=fgSaturationLimit       ) { fSaturationLimit  = lim;  }
-  void SetNameSignalCam   ( const char *name=fgNameSignalCam.Data()  ) { fNameSignalCam    = name; }
+  void SetNameSignalCam   ( const char *name=fgNameSignalCam ) { fNameSignalCam    = name; }
   void SetNoiseCalculation( const Bool_t   b=kTRUE                   ) { fNoiseCalculation = b;    }
 
Index: trunk/MagicSoft/Mars/msql/MSQLServer.cc
===================================================================
--- trunk/MagicSoft/Mars/msql/MSQLServer.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/msql/MSQLServer.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: MSQLServer.cc,v 1.14 2007-08-25 15:30:26 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: MSQLServer.cc,v 1.15 2008-06-02 08:46:49 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -46,4 +46,5 @@
 
 #include <TROOT.h>
+#include <TMath.h>
 
 #include <TH1.h>
Index: trunk/MagicSoft/Mars/mtools/MSimulatedAnnealing.cc
===================================================================
--- trunk/MagicSoft/Mars/mtools/MSimulatedAnnealing.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mtools/MSimulatedAnnealing.cc	(revision 8907)
@@ -121,4 +121,5 @@
 #include <iostream>
 
+#include <TMath.h>
 #include <TRandom.h>
 
Index: trunk/MagicSoft/Mars/mtools/MTFillMatrix.cc
===================================================================
--- trunk/MagicSoft/Mars/mtools/MTFillMatrix.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/mtools/MTFillMatrix.cc	(revision 8907)
@@ -80,4 +80,5 @@
 
 #include <TFile.h>
+#include <TMath.h>
 
 // environment
Index: trunk/MagicSoft/Mars/sinope.cc
===================================================================
--- trunk/MagicSoft/Mars/sinope.cc	(revision 8906)
+++ trunk/MagicSoft/Mars/sinope.cc	(revision 8907)
@@ -1,4 +1,4 @@
 /* ======================================================================== *\
-! $Name: not supported by cvs2svn $:$Id: sinope.cc,v 1.12 2006-10-17 17:15:58 tbretz Exp $
+! $Name: not supported by cvs2svn $:$Id: sinope.cc,v 1.13 2008-06-02 08:46:36 tbretz Exp $
 ! --------------------------------------------------------------------------
 !
@@ -19,5 +19,5 @@
 !
 !   Author(s): Thomas Bretz
-!   Author(s): Daniela Doener
+!   Author(s): Daniela Dorner
 !
 !   Copyright: MAGIC Software Development, 2000-2006
@@ -29,4 +29,5 @@
 
 #include <TROOT.h>
+#include <TClass.h>
 #include <TApplication.h>
 #include <TObjectTable.h>
